RaisFastRaisFast

Reusable_blocks

Reusable Blocks

GET
/api/v1/admin/reusable-blocks

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/reusable-blocks"
Empty
POST
/api/v1/admin/reusable-blocks

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/reusable-blocks" \  -H "Content-Type: application/json" \  -d '{    "block_type": "string",    "content": "string",    "name": "string"  }'
Empty
POST
/api/v1/admin/reusable-blocks/batch

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/reusable-blocks/batch" \  -H "Content-Type: application/json" \  -d '{    "action": "string",    "ids": [      "string"    ]  }'
Empty
GET
/api/v1/admin/reusable-blocks/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Block ID

Response Body

curl -X GET "https://example.com/api/v1/admin/reusable-blocks/string"
Empty
DELETE
/api/v1/admin/reusable-blocks/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Block ID

Response Body

curl -X DELETE "https://example.com/api/v1/admin/reusable-blocks/string"
Empty
PUT
/api/v1/admin/reusable-blocks/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Block ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/reusable-blocks/string" \  -H "Content-Type: application/json" \  -d '{}'
Empty